summaryrefslogtreecommitdiffstats
path: root/development/gccxml
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-11 22:53:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:31 +0200
commit4f2f1dbd7e6847175ab54df29d35343e091a94b5 (patch)
tree2817eef07b10aeaa0bbe0685181f32ab8d050b77 /development/gccxml
parent052465253fcaec354c0ebaafddf711e6109d7d8c (diff)
downloadslackbuilds-4f2f1dbd7e6847175ab54df29d35343e091a94b5.tar.gz
slackbuilds-4f2f1dbd7e6847175ab54df29d35343e091a94b5.tar.xz
development/gccxml: Added to 12.1 repository
Diffstat (limited to 'development/gccxml')
-rw-r--r--development/gccxml/CMakeLists.txt.patch10
-rw-r--r--development/gccxml/README11
-rw-r--r--development/gccxml/gccxml.SlackBuild69
-rw-r--r--development/gccxml/gccxml.info8
-rw-r--r--development/gccxml/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/development/gccxml/CMakeLists.txt.patch b/development/gccxml/CMakeLists.txt.patch
new file mode 100644
index 0000000000..70aa4c688c
--- /dev/null
+++ b/development/gccxml/CMakeLists.txt.patch
@@ -0,0 +1,10 @@
+--- GCC/libiberty/CMakeLists.txt~ 2007-12-19 06:32:15.000000000 -0600
++++ GCC/libiberty/CMakeLists.txt 2007-12-19 06:33:59.000000000 -0600
+@@ -14,7 +14,7 @@
+ physmem.c pex-common.c pex-one.c # pex-unix.c
+ safe-ctype.c
+ sort.c spaces.c splay-tree.c strerror.c
+- ternary.c unlink-if-ordinary.c xatexit.c xexit.c xmalloc.c
++ ternary.c unlink-if-ordinary.c xexit.c xmalloc.c
+ xmemdup.c xstrdup.c xstrerror.c xstrndup.c
+ )
diff --git a/development/gccxml/README b/development/gccxml/README
new file mode 100644
index 0000000000..218e6fcaae
--- /dev/null
+++ b/development/gccxml/README
@@ -0,0 +1,11 @@
+GCC-XML is the XML output extension to GCC. The purpose of the GCC-XML
+extension is to generate an XML description of a C++ program from GCC's
+internal representation. Since XML is easy to parse, other development
+tools will be able to work with C++ programs without the burden of a
+complicated C++ parser.
+
+GCC-XML project is not making formal releases since version 0.6.0,
+published back in February 2004; "lack of time" is cited as the reason
+on GCC-XML Web site. Thus, we're using CVS snapshot created for current
+version of corresponding Debian package, and hosted on Debian site;
+thanks to Debian guys for kindly allowing access to this resource.
diff --git a/development/gccxml/gccxml.SlackBuild b/development/gccxml/gccxml.SlackBuild
new file mode 100644
index 0000000000..7044f25434
--- /dev/null
+++ b/development/gccxml/gccxml.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for GCC-XML
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+PRGNAM=gccxml
+VERSION=${VERSION:-0.9.0+cvs20080525}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION.orig
+tar xvf $CWD/$PRGNAM\_$VERSION.orig.tar.gz
+cd $PRGNAM-$VERSION.orig
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# See http://www.gccxml.org/pipermail/gccxml/2008-October/001192.html
+# for the rationale behind this patch
+patch -p0 < $CWD/CMakeLists.txt.patch
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM-*/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/gccxml/gccxml.info b/development/gccxml/gccxml.info
new file mode 100644
index 0000000000..c932bc1e60
--- /dev/null
+++ b/development/gccxml/gccxml.info
@@ -0,0 +1,8 @@
+PRGNAM="gccxml"
+VERSION="0.9.0+cvs20080525"
+HOMEPAGE="http://www.gccxml.org/"
+DOWNLOAD="http://ftp.de.debian.org/debian/pool/main/g/gccxml/gccxml_0.9.0+cvs20080525.orig.tar.gz"
+MD5SUM="1d9e89da64c563931df2e1642e004506"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="rworkman"
diff --git a/development/gccxml/slack-desc b/development/gccxml/slack-desc
new file mode 100644
index 0000000000..ce459cb1d3
--- /dev/null
+++ b/development/gccxml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |---- Handy ruler -----------------------------------------------------|
+gccxml: GCC-XML (XML output extension to GCC)
+gccxml:
+gccxml: The purpose of the GCC-XML extension is to generate an XML
+gccxml: description of a C++ program from GCC's internal
+gccxml: representation. Since XML is easy to parse, other development
+gccxml: tools will be able to work with C++ programs without the burden
+gccxml: of a complicated C++ parser.
+gccxml:
+gccxml: GCC-XML home page is: http://www.gccxml.org/
+gccxml:
+gccxml: